file history revert message should mention time is using UTC
Closed, ResolvedPublic

Description

In this file"s history

http://commons.wikimedia.org/wiki/File:Krkono%C5%A1e_seen_from_%C4%8Cernilov,_FastStone_sharpening10_qual98.jpg

see version #6 of this file. It is a revert (to versin #4), but original time #4 was 1:10 and the revert comment in #6 says 0:10. I have a mediawiki setting to UTC+1.


Version: 1.21.x
Severity: normal

Details

Reference
bz34948
bzimport raised the priority of this task from to Low.
bzimport set Reference to bz34948.
bzimport added a subscriber: Unknown Object (MLST).
Kozuch created this task.Mar 4 2012, 10:15 AM

The file was reverted to a version uploaded at 00:10 UTC, that is the time being used to generate the reversion message. The table show the date using the user timezone. Hence the file at 00:10UTC is listed as 01:10.

The revert message should mention the timezone used on the wiki. The message is 'filerevert-defaultcomment'.

Does not seem to have an easy way to mention the timezone there :-(

(In reply to comment #1)

Does not seem to have an easy way to mention the timezone there :-(

How hard can it be to add the server's (wiki's) timezone to the default summary?

Adding many blockers of bug 38638 to the list of "easy" bugs, to mark them as candidates for [[mw:Google Code-in]] tasks (gci2013). If you think this bug is not suitable, remove the keyword.

Change 181811 had a related patch set uploaded (by Unicodesnowman):
Include timezone in default file revert message

https://gerrit.wikimedia.org/r/181811

Patch-For-Review

Change 181811 merged by jenkins-bot:
Add MWTimestamp::getTimezoneString(), use it in file revert message

https://gerrit.wikimedia.org/r/181811

jrbs added a subscriber: jrbs.Oct 30 2015, 12:08 AM
Umherirrender closed this task as Resolved.Nov 10 2015, 7:43 PM
Umherirrender set Security to None.
Umherirrender removed a subscriber: wikibugs-l-list.